package com.ruoyi.invest.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.tool.domain.TUnifyFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 尽职背调对象 t_project_investigate
 * 
 * @author zjc
 * @date 2024-04-02
 */
@Data
public class ProjectInvestigateVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 尽调名称 */
    @Excel(name = "尽调名称")
    private String investigateName;

    /** 尽调编号 */
    @Excel(name = "尽调编号")
    private String investigateCode;

    /** 项目id */
    private String projectPoolId;

    /** 项目名称 */
    //private String projectName;

    /** 尽调人员 */
    @Excel(name = "尽调人员")
    private String investigatePerson;

    /** $column.columnComment */
    private String investigatePersonId;

    /** 尽调费用（元） */
    @Excel(name = "尽调费用", readConverterExp = "元=")
    private String investigateCost;

    /** 描述 */
    @Excel(name = "描述")
    private String describe;

    /** 删除状态 */
    private String delFlag;

    /** 状态 */
    //private String status;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    /** 尽调地点 */
    private String investigatePlace;

    /** 期望尽调开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /** 期望尽调结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /** 尽调资料是否齐全 */
    private String readiness;

    /** 是否有第三方投资机构 */
    private String thirdParty;

    /** 尽调财务数据截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date deadDate;
    /**
     * 流程状态
     */
    private Integer status;
    //表外
    /*private String procInstId;//流程实例Id
    private String taskName;
    private String taskDefKey;*/


    //投资机会信息
    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;
    /** 项目所属行业 */
    @Excel(name = "项目所属行业")
    private String industry;
    /** 项目阶段 */
    @Excel(name = "项目阶段")
    private String projectStage;
    /** 项目状态 */
    @Excel(name = "项目状态")
    private String projectState;
    /** 投资负责人 */
    @Excel(name = "投资负责人")
    private String investHead;
    @Excel(name = "项目机会状态")
    private String projectStatus;


    //流程信息
    @ApiModelProperty("流程实例ID")
    private String procInstId;
    @ApiModelProperty("流程ID")
    private String procDefId;
    //private String processDefName;
    @ApiModelProperty("流程部署编号")
    private String deployId;
    //流程任务信息
    @ApiModelProperty("任务编号")
    private String taskId;
    @ApiModelProperty("任务执行编号")
    private String executionId;// 运行id
    @ApiModelProperty("任务名称")
    private String taskName;
    @ApiModelProperty("任务Key")
    private String taskDefKey;
    private String taskCreateTiem; // 当前节点创建时间
    //private String taskUserId; // 当前处理人
    //private String status; // 流程状态
    @ApiModelProperty("任务执行人Id")
    private String assignee; // 该值未空表示 可签收，不未空表示 可处理
    @ApiModelProperty("任务执行人名称")
    private String assigneeName;
    //流程发起人信息
    @ApiModelProperty("流程发起人Id")
    private String startUserId;
    @ApiModelProperty("流程发起人名称")
    private String startUserName;
    @ApiModelProperty("流程发起人部门名称")
    private String startDeptName;

    private boolean flag; // true - 同意; false - 驳回

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("investigateName", getInvestigateName())
                .append("investigateCode", getInvestigateCode())
                .append("projectPoolId", getProjectPoolId())
                .append("investigatePerson", getInvestigatePerson())
                .append("investigatePersonId", getInvestigatePersonId())
                .append("investigateCost", getInvestigateCost())
                .append("describe", getDescribe())
                .append("remark", getRemark())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
